Страница 1 из 2 12 ПоследняяПоследняя
Показано с 1 по 10 из 11

Тема: PHP версии ниже 5.3

  1. #1
    Senior Member
    Регистрация
    21.05.2009
    Сообщений
    230

    По умолчанию PHP версии ниже 5.3

    Помогите поставить php версии ниже 5.3 тоесть или 5.2.8 или 5.2.11 короче любую так как панель собрала php 5.3.1 а у меня CMS из за него ошибки шьет, вот не могу найти репозитория где есть старый php, кто поможет с установкой? Зарание пасибо

  2. #2
    Senior Member Аватар для xaker1
    Регистрация
    30.06.2009
    Сообщений
    2,739

    По умолчанию

    Какая ОС?
    Стоит один раз попробовать что бы влюбиться... в ISP.

    На все мои сообщения, действует конфигурация сервера: ISP Pro (всегда актуальная current версия), FreeBSD 8.0, php as fcgi, nginx+apache.

    Бесплатные плагины для ISPmanager.

  3. #3
    Senior Member
    Регистрация
    21.05.2009
    Сообщений
    230

    По умолчанию

    CentOS 5.1

  4. #4
    Senior Member Аватар для xaker1
    Регистрация
    30.06.2009
    Сообщений
    2,739

    По умолчанию

    в репозитарии dag есть php 5.2.*, если не ошибаюсь
    Стоит один раз попробовать что бы влюбиться... в ISP.

    На все мои сообщения, действует конфигурация сервера: ISP Pro (всегда актуальная current версия), FreeBSD 8.0, php as fcgi, nginx+apache.

    Бесплатные плагины для ISPmanager.

  5. #5
    Senior Member
    Регистрация
    21.05.2009
    Сообщений
    230

    По умолчанию

    Цитата Сообщение от xaker1 Посмотреть сообщение
    в репозитарии dag есть php 5.2.*, если не ошибаюсь
    Что то я найти там не могу, я просто фряшник а с центом первый раз

  6. #6
    Senior Member Аватар для xaker1
    Регистрация
    30.06.2009
    Сообщений
    2,739

    По умолчанию

    первая ссылка в google по запросу dag
    Стоит один раз попробовать что бы влюбиться... в ISP.

    На все мои сообщения, действует конфигурация сервера: ISP Pro (всегда актуальная current версия), FreeBSD 8.0, php as fcgi, nginx+apache.

    Бесплатные плагины для ISPmanager.

  7. #7
    Senior Member
    Регистрация
    21.05.2009
    Сообщений
    230

    По умолчанию

    Напишите плиз подробно как убить php 5.3 и поставить php 5.2.*
    так как уже извелся, то он пишет что стоит новее, снес то пишет что не может поставить...
    уже сносил через yum все компоненты php все равно бока...

  8. #8
    Senior Member Аватар для xaker1
    Регистрация
    30.06.2009
    Сообщений
    2,739

    По умолчанию

    Эээ... сходу не скажу, нужно смотреть. Скиньте в личку root доступ к серверу, попробую поставить.
    Стоит один раз попробовать что бы влюбиться... в ISP.

    На все мои сообщения, действует конфигурация сервера: ISP Pro (всегда актуальная current версия), FreeBSD 8.0, php as fcgi, nginx+apache.

    Бесплатные плагины для ISPmanager.

  9. #9
    Senior Member Аватар для xaker1
    Регистрация
    30.06.2009
    Сообщений
    2,739

    По умолчанию Как установить php 5.2.* на centos

    Всем на будующее: Как установить php 5.2.* на centos с помощью rpm.
    Ищем подходящую версию php (рекомендую ftp://centos.alt.ru/pub/php-fpm/ , в примере ставим php 5.2.11 на CentOS ftp://centos.alt.ru/pub/php-fpm/5.2.11/RHEL/RPMS/i386/ ).
    Удаляем php:
    Код:
    # yum erase php*
    устанавливаем новый:
    Код:
    # rpm -Uhv ftp://centos.alt.ru/pub/php-fpm/5.2.11/RHEL/RPMS/i386/php-5.2.11-1.el5.i386.rpm ftp://centos.alt.ru/pub/php-fpm/5.2.11/RHEL/RPMS/i386/php-cli-5.2.11-1.el5.i386.rpm ftp://centos.alt.ru/pub/php-fpm/5.2.11/RHEL/RPMS/i386/php-common-5.2.11-1.el5.i386.rpm
    Устанавливаем различные дополнения:
    Код:
    rpm -Uhv  ftp://centos.alt.ru/pub/php-fpm/5.2.11/RHEL/RPMS/i386/php-mcrypt-5.2.11-1.el5.i386.rpm ftp://centos.alt.ru/pub/php-fpm/5.2.11/RHEL/RPMS/i386/php-mbstring-5.2.11-1.el5.i386.rpm ftp://centos.alt.ru/pub/php-fpm/5.2.11/RHEL/RPMS/i386/php-mysql-5.2.11-1.el5.i386.rpm ftp://centos.alt.ru/pub/php-fpm/5.2.11/RHEL/RPMS/i386/php-pdo-5.2.11-1.el5.i386.rpm
    Так же ставятся и другие расширения php.
    Код:
    # rpm -Uhv путь_к_расширению
    Проверяем:
    Код:
    # php -v
    PHP 5.2.11 (cli) (built: Sep 19 2009 02:16:42)
    Copyright (c) 1997-2009 The PHP Group
    Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
    # php -m
    [PHP Modules]
    bz2
    calendar
    ctype
    curl
    date
    dbase
    exif
    filter
    ftp
    gettext
    gmp
    hash
    iconv
    json
    libxml
    mbstring
    mcrypt
    mysql
    mysqli
    openssl
    pcntl
    pcre
    PDO
    pdo_mysql
    pdo_sqlite
    readline
    Reflection
    session
    shmop
    SimpleXML
    sockets
    SPL
    standard
    tokenizer
    xml
    zip
    zlib
    
    [Zend Modules]
    Все!
    Обновляем кэш панели
    Код:
    #  /usr/local/ispmgr/sbin/pkgctl -D cache
    # killall ispmgr
    Стоит один раз попробовать что бы влюбиться... в ISP.

    На все мои сообщения, действует конфигурация сервера: ISP Pro (всегда актуальная current версия), FreeBSD 8.0, php as fcgi, nginx+apache.

    Бесплатные плагины для ISPmanager.

  10. #10
    Junior Member
    Регистрация
    08.11.2009
    Сообщений
    10

    По умолчанию

    xaker1, спасибо, очень помогли!!!

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •